## golang-github-docker-libnetwork 0.7.0~rc.6+dfsg

=== debian/changelog ===
golang-github-docker-libnetwork (0.7.0~rc.6+dfsg-1) unstable; urgency=medium

  [ Tim Potter <tpot@hpe.com> ]
  * New upstream version (Closes: #823466)
  * Remove duplicate entry in d/watch file
  * Standards-Version: 3.9.8
  * Remove unused copy of MPL from d/copyright

  [ Dmitry Smirnov <onlyjob@debian.org> ]
  * Build-Depends:
    - golang-github-hashicorp-consul-dev
    - golang-dns-dev | golang-github-miekg-dns-dev
    + golang-github-docker-go-connections-dev

 -- Dmitry Smirnov <onlyjob@debian.org>  Wed, 11 May 2016 09:24:06 +1000

golang-github-docker-libnetwork (0.5.6+dfsg-1) unstable; urgency=medium

  * Initial release (Closes: #816884).

 -- Dmitry Smirnov <onlyjob@debian.org>  Sat, 12 Mar 2016 12:39:51 +1100
