=== debian/control ===
Source: golang-github-docker-libnetwork
Section: devel
Priority: extra
Maintainer: Debian Go Packaging Team <pkg-go-maintainers@lists.alioth.debian.org>
Uploaders: Dmitry Smirnov <onlyjob@debian.org>
Build-Depends: debhelper (>= 9) ,dh-golang
    ,golang-go
    ,golang-toml-dev | golang-github-burntsushi-toml-dev
    ,golang-github-codegangsta-cli-dev
    ,golang-github-coreos-go-systemd-dev
#       ,golang-dbus-dev (>= 3~)
    ,golang-github-deckarep-golang-set-dev
#   ,golang-github-docker-docker-dev
        ,golang-github-docker-go-connections-dev
        ,golang-github-docker-go-units-dev
    ,golang-github-docker-libkv-dev
    ,golang-github-gorilla-mux-dev
    ,golang-github-hashicorp-serf-dev
    ,golang-github-opencontainers-runc-dev
    ,golang-github-sirupsen-logrus-dev
    ,golang-github-stretchr-testify-dev
    ,golang-github-vishvananda-netlink-dev
    ,golang-github-vishvananda-netns-dev
Standards-Version: 3.9.8
Homepage: https://github.com/docker/libnetwork
Vcs-Browser: https://anonscm.debian.org/cgit/pkg-go/packages/golang-github-docker-libnetwork.git
Vcs-Git: git://anonscm.debian.org/pkg-go/packages/golang-github-docker-libnetwork.git
XS-Go-Import-Path: github.com/docker/libnetwork

Package: golang-github-docker-libnetwork-dev
Architecture: all
Depends: ${misc:Depends} ,${shlibs:Depends}
    ,golang-go
    ,golang-toml-dev | golang-github-burntsushi-toml-dev
    ,golang-github-codegangsta-cli-dev
    ,golang-github-coreos-go-systemd-dev
#       ,golang-dbus-dev (>= 3~)
    ,golang-github-deckarep-golang-set-dev
#   ,golang-github-docker-docker-dev
        ,golang-github-docker-go-connections-dev
        ,golang-github-docker-go-units-dev
    ,golang-github-docker-libkv-dev
    ,golang-github-gorilla-mux-dev
    ,golang-github-hashicorp-serf-dev
    ,golang-github-opencontainers-runc-dev
    ,golang-github-sirupsen-logrus-dev
    ,golang-github-stretchr-testify-dev
    ,golang-github-vishvananda-netlink-dev
    ,golang-github-vishvananda-netns-dev
Description: Docker Networking
 Libnetwork provides a native Go implementation for connecting containers
 .
 The goal of libnetwork is to deliver a robust Container Network Model
 that provides a consistent programming interface and the required
 network abstractions for applications.
