=== debian/watch ===
# uscan(1) configuration file.
version=3

opts="\
repacksuffix=+dfsg,\
dversionmangle=s{\+dfsg\d*}{},\
" https://github.com/docker/libnetwork/releases \
  .*/archive/v?(\d[-\d\.a-z]+)\.tar\.gz
