## golang-github-docker-libnetwork 0.7.2~rc.1+dfsg

=== debian/changelog ===
golang-github-docker-libnetwork (0.7.2~rc.1+dfsg-1) unstable; urgency=medium

  [ Paul Tagliamonte ]
  * Use a secure transport for the Vcs-Git and Vcs-Browser URL

  [ Dmitry Smirnov ]
  * New upstream version.
  * New patch to fix FTBFS with libkv v0.2.0 (Closes: #830656).
    Thanks, Tianon Gravi.

 -- Dmitry Smirnov <onlyjob@debian.org>  Sun, 10 Jul 2016 09:38:37 +1000
