=== debian/control ===
--- 
+++ 
@@ -13,7 +13,7 @@
 #   ,golang-github-docker-docker-dev
         ,golang-github-docker-go-connections-dev
         ,golang-github-docker-go-units-dev
-    ,golang-github-docker-libkv-dev
+    ,golang-github-docker-libkv-dev (>= 0.2.0~)
     ,golang-github-gorilla-mux-dev
     ,golang-github-hashicorp-serf-dev
     ,golang-github-opencontainers-runc-dev
@@ -24,7 +24,7 @@
 Standards-Version: 3.9.8
 Homepage: https://github.com/docker/libnetwork
 Vcs-Browser: https://anonscm.debian.org/cgit/pkg-go/packages/golang-github-docker-libnetwork.git
-Vcs-Git: git://anonscm.debian.org/pkg-go/packages/golang-github-docker-libnetwork.git
+Vcs-Git: https://anonscm.debian.org/git/pkg-go/packages/golang-github-docker-libnetwork.git
 XS-Go-Import-Path: github.com/docker/libnetwork
 
 Package: golang-github-docker-libnetwork-dev
@@ -39,7 +39,7 @@
 #   ,golang-github-docker-docker-dev
         ,golang-github-docker-go-connections-dev
         ,golang-github-docker-go-units-dev
-    ,golang-github-docker-libkv-dev
+    ,golang-github-docker-libkv-dev (>= 0.2.0~)
     ,golang-github-gorilla-mux-dev
     ,golang-github-hashicorp-serf-dev
     ,golang-github-opencontainers-runc-dev
