=== debian/rules ===
#!/usr/bin/make -f

## Don't build commandline utilities for now.
export DH_GOLANG_EXCLUDES = cmd

%:
	dh $@ --buildsystem=golang --with=golang --builddirectory=_build

override_dh_clean:
	dh_clean
	## Remove Files-Excluded (when built from checkout or non-DFSG tarball):
	$(RM) -rv `perl -0nE 'say $$1 if m{^Files\-Excluded\:\s*(.*?)(?:\n\n|Files:|Comment:)}sm;' debian/copyright`

override_dh_auto_configure:
	mkdir -p _build && cp -r Godeps/_workspace/src _build/
	dh_auto_configure

override_dh_auto_test:
	-dh_auto_test
