## golang-github-docker-libnetwork 0.8~git20161019.0.66c8446

=== debian/changelog ===
golang-github-docker-libnetwork (0.8~git20161019.0.66c8446-1) unstable; urgency=medium

  * New upstream snapshot.
  * Add golang-github-docker-go-events build dependency.
  * Remove patch now applied upstream.
  * TODO: dfsg-ify upstream tarball

 -- Tim Potter <tpot@hpe.com>  Wed, 30 Nov 2016 15:36:05 +1100
