=== debian/control ===
--- 
+++ 
@@ -2,7 +2,7 @@
 Section: devel
 Priority: extra
 Maintainer: Debian Go Packaging Team <pkg-go-maintainers@lists.alioth.debian.org>
-Uploaders: Dmitry Smirnov <onlyjob@debian.org>
+Uploaders: Dmitry Smirnov <onlyjob@debian.org>, Tim Potter <tpot@hpe.com>
 Build-Depends: debhelper (>= 9) ,dh-golang
     ,golang-go
     ,golang-toml-dev | golang-github-burntsushi-toml-dev
@@ -14,6 +14,7 @@
         ,golang-github-docker-go-connections-dev
         ,golang-github-docker-go-units-dev
     ,golang-github-docker-libkv-dev (>= 0.2.0~)
+    ,golang-github-docker-go-events-dev
     ,golang-github-gorilla-mux-dev
     ,golang-github-hashicorp-serf-dev
     ,golang-github-opencontainers-runc-dev
