## golang-github-docker-libnetwork 0.8.0~dev.2+git20161130.568.fd27f22

=== debian/changelog ===
golang-github-docker-libnetwork (0.8.0~dev.2+git20161130.568.fd27f22-1) unstable; urgency=medium

  * New upstream snapshot.

 -- Tim Potter <tpot@hpe.com>  Wed, 25 Jan 2017 14:22:41 +1100
