=== debian/control ===
--- 
+++ 
@@ -6,6 +6,7 @@
 Build-Depends: debhelper (>= 9) ,dh-golang
     ,golang-go
     ,golang-toml-dev | golang-github-burntsushi-toml-dev
+    ,golang-github-azure-go-ansiterm-dev
     ,golang-github-codegangsta-cli-dev
     ,golang-github-coreos-go-systemd-dev
 #       ,golang-dbus-dev (>= 3~)
