=== debian/rules ===
--- 
+++ 
@@ -11,9 +11,8 @@
 	## Remove Files-Excluded (when built from checkout or non-DFSG tarball):
 	$(RM) -rv `perl -0nE 'say $$1 if m{^Files\-Excluded\:\s*(.*?)(?:\n\n|Files:|Comment:)}sm;' debian/copyright`
 
-override_dh_auto_configure:
-	mkdir -p _build && cp -r Godeps/_workspace/src _build/
-	dh_auto_configure
-
 override_dh_auto_test:
 	-dh_auto_test
+
+override_dh_auto_install:
+	dh_auto_install --destdir=debian/tmp
