## golang-github-docker-libnetwork 0.8.0-dev.2%2Bgit20170202.599.45b4086

=== debian/control ===
Source: golang-github-docker-libnetwork
Section: devel
Priority: extra
Maintainer: Debian Go Packaging Team <pkg-go-maintainers@lists.alioth.debian.org>
Uploaders: Dmitry Smirnov <onlyjob@debian.org>, Tim Potter <tpot@hpe.com>
Build-Depends: debhelper (>= 9) ,dh-golang, dh-exec
    ,golang-any [!ppc64], gccgo-go [ppc64]
    ,golang-toml-dev | golang-github-burntsushi-toml-dev
    ,golang-github-azure-go-ansiterm-dev
    ,golang-github-codegangsta-cli-dev
    ,golang-github-coreos-go-systemd-dev
#       ,golang-dbus-dev (>= 3~)
    ,golang-github-deckarep-golang-set-dev
    ,golang-github-docker-docker-dev (>= 1.13.0~ds1)
    ,golang-github-docker-go-connections-dev
    ,golang-github-docker-go-units-dev
    ,golang-github-docker-libkv-dev (>= 0.2.0~)
    ,golang-github-docker-go-events-dev
    ,golang-github-gorilla-mux-dev
    ,golang-github-hashicorp-serf-dev
    ,golang-github-opencontainers-runc-dev
    ,golang-github-pkg-errors-dev
    ,golang-github-sirupsen-logrus-dev
    ,golang-github-stretchr-testify-dev
    ,golang-github-vishvananda-netlink-dev (>= 0.0~git20161111.0~)
    ,golang-github-vishvananda-netns-dev
Standards-Version: 3.9.8
Homepage: https://github.com/docker/libnetwork
Vcs-Browser: https://anonscm.debian.org/cgit/pkg-go/packages/golang-github-docker-libnetwork.git
Vcs-Git: https://anonscm.debian.org/git/pkg-go/packages/golang-github-docker-libnetwork.git
XS-Go-Import-Path: github.com/docker/libnetwork

Package: golang-github-docker-libnetwork-dev
Architecture: all
Depends: ${misc:Depends} ,${shlibs:Depends}
    ,golang-toml-dev | golang-github-burntsushi-toml-dev
    ,golang-github-codegangsta-cli-dev
    ,golang-github-coreos-go-systemd-dev
#       ,golang-dbus-dev (>= 3~)
    ,golang-github-deckarep-golang-set-dev
#    ,golang-github-docker-docker-dev (>= 1.13.0~ds1)
    ,golang-github-docker-go-connections-dev
    ,golang-github-docker-go-units-dev
    ,golang-github-docker-libkv-dev (>= 0.2.0~)
    ,golang-github-gorilla-mux-dev
    ,golang-github-hashicorp-serf-dev
    ,golang-github-opencontainers-runc-dev
    ,golang-github-pkg-errors-dev
    ,golang-github-sirupsen-logrus-dev
    ,golang-github-stretchr-testify-dev
    ,golang-github-vishvananda-netlink-dev (>= 0.0~git20161111.0~)
    ,golang-github-vishvananda-netns-dev
Description: Docker Networking
 Libnetwork provides a native Go implementation for connecting containers
 .
 The goal of libnetwork is to deliver a robust Container Network Model
 that provides a consistent programming interface and the required
 network abstractions for applications.
 .
 This package contains the development files.
 
Package: golang-libnetwork
Architecture: any
Breaks: docker.io (<< 1.12)
Depends: ${misc:Depends}, ${shlib:Depends}
Built-Using: ${misc:Built-Using}
Description: Docker Networking
 Libnetwork provides a native Go implementation for connecting containers
 .
 The goal of libnetwork is to deliver a robust Container Network Model
 that provides a consistent programming interface and the required
 network abstractions for applications.
 .
 This package contains various command line binaries.
