=== debian/watch ===
--- 
+++ 
@@ -4,5 +4,6 @@
 opts="\
 repacksuffix=+dfsg,\
 dversionmangle=s{\+dfsg\d*}{},\
+uversionmangle=s{\-}{~},\
 " https://github.com/docker/libnetwork/releases \
   .*/archive/v?(\d[-\d\.a-z]+)\.tar\.gz
