## golang-github-docker-libnetwork 0.8.0-dev.2+git20170202.599.45b4086

=== debian/changelog ===
golang-github-docker-libnetwork (0.8.0-dev.2+git20170202.599.45b4086-3) unstable; urgency=medium

  * Special case ppc64, builds only with gccgo-go (golang-go does not support
    shared build/linking for ppc64)

 -- Konstantinos Margaritis <markos@debian.org>  Fri, 11 Aug 2017 09:50:42 +0300

golang-github-docker-libnetwork (0.8.0-dev.2+git20170202.599.45b4086-2) unstable; urgency=medium

  * Replace golang-go with golang-any in Build-Depends, remove golang-go from Depends

 -- Konstantinos Margaritis <markos@debian.org>  Wed, 09 Aug 2017 17:23:26 +0300

golang-github-docker-libnetwork (0.8.0-dev.2+git20170202.599.45b4086-1) unstable; urgency=medium

  * New upstream snapshot for Docker 1.13.1.
  * Delete patches vendoring various parts of Docker and replace with
    golang-github-docker-docker-dev B-D.

 -- Tim Potter <tpot@hpe.com>  Wed, 24 May 2017 11:17:34 +1000

golang-github-docker-libnetwork (0.8.0~dev.2+git20161130.568.fd27f22-4) unstable; urgency=medium

  * Tighten B-D on golang-github-vishvananda-netlink-dev package for
    stretch build. (Closes: #858267)
  * Suppress binary-without-manpage Lintian warnings.

 -- Tim Potter <tpot@hpe.com>  Tue, 21 Mar 2017 08:40:08 +1100

golang-github-docker-libnetwork (0.8.0~dev.2+git20161130.568.fd27f22-3) unstable; urgency=medium

  * Add Breaks line to binary package to avoid messing up previous
    Docker installs.

 -- Tim Potter <tpot@hpe.com>  Fri, 24 Feb 2017 10:18:43 +1100

golang-github-docker-libnetwork (0.8.0~dev.2+git20161130.568.fd27f22-2) unstable; urgency=medium

  * Build and package command line utilites, including docker-proxy.
  * Package documentation files.

 -- Tim Potter <tpot@hpe.com>  Thu, 16 Feb 2017 07:35:38 +1100
