=== debian/rules ===
--- 
+++ 
@@ -1,7 +1,4 @@
 #!/usr/bin/make -f
-
-## Don't build commandline utilities for now.
-export DH_GOLANG_EXCLUDES = cmd
 
 %:
 	dh $@ --buildsystem=golang --with=golang --builddirectory=_build
